VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
IHostNetworkInterface Interface Reference

Represents one of host's network interfaces. More...

Inheritance diagram for IHostNetworkInterface:

## Public Member Functions
void | enableStaticIPConfig (in wstring IPAddress, in wstring networkMask)
| sets and enables the static IP V4 configuration for the given interface.
void | enableStaticIPConfigV6 (in wstring IPV6Address, in unsigned long IPV6NetworkMaskPrefixLength)
| sets and enables the static IP V6 configuration for the given interface.
void | enableDynamicIPConfig ()
| enables the dynamic IP configuration.
void | DHCPRediscover ()
| refreshes the IP configuration for DHCP-enabled interface.

## Public Attributes
readonly attribute wstring | name
| Returns the host network interface name.
readonly attribute wstring | shortName
| Returns the host network interface short name.
readonly attribute wstringUUID | id
| Returns the interface UUID.
readonly attribute wstring | networkName
| Returns the name of a virtual network the interface gets attached to.
readonly attribute boolean | DHCPEnabled
| Specifies whether the DHCP is enabled for the interface.
readonly attribute wstring | IPAddress
| Returns the IP V4 address of the interface.
readonly attribute wstring | networkMask
| Returns the network mask of the interface.
readonly attribute boolean | IPV6Supported
| Specifies whether the IP V6 is supported/enabled for the interface.
readonly attribute wstring | IPV6Address
| Returns the IP V6 address of the interface.
readonly attribute unsigned long | IPV6NetworkMaskPrefixLength
| Returns the length IP V6 network mask prefix of the interface.
readonly attribute wstring | hardwareAddress
| Returns the hardware address.
readonly attribute HostNetworkInterfaceMediumType | mediumType
| Type of protocol encapsulation used.
readonly attribute HostNetworkInterfaceStatus | status
| Status of the interface.
readonly attribute HostNetworkInterfaceType | interfaceType
| specifies the host interface type.
readonly attribute boolean | wireless
| Specifies whether the interface is wireless.

## Detailed Description

Represents one of host's network interfaces.

IP V6 address and network mask are strings of 32 hexadecimal digits grouped by four. Groups are separated by colons. For example, fe80:0000:0000:0000:021e:c2ff:fed2:b030.

Interface ID:
  `{455F8C45-44A0-A470-BA20-27890B96DBA9}`

## Member Function Documentation

## ◆ enableStaticIPConfig()

void IHostNetworkInterface::enableStaticIPConfig | ( | in wstring | IPAddress,
|  | in wstring | networkMask
| ) |  |

sets and enables the static IP V4 configuration for the given interface.

Parameters

  IPAddress | IP address.
  networkMask | network mask.

## ◆ enableStaticIPConfigV6()

void IHostNetworkInterface::enableStaticIPConfigV6 | ( | in wstring | IPV6Address,
|  | in unsigned long | IPV6NetworkMaskPrefixLength
| ) |  |

sets and enables the static IP V6 configuration for the given interface.

Parameters

  IPV6Address | IP address.
  IPV6NetworkMaskPrefixLength | network mask.

## ◆ enableDynamicIPConfig()

void IHostNetworkInterface::enableDynamicIPConfig | ( |  | ) |

enables the dynamic IP configuration.

## ◆ DHCPRediscover()

void IHostNetworkInterface::DHCPRediscover | ( |  | ) |

refreshes the IP configuration for DHCP-enabled interface.

## Member Data Documentation

## ◆ name

readonly attribute wstring IHostNetworkInterface::name

Returns the host network interface name.

## ◆ shortName

readonly attribute wstring IHostNetworkInterface::shortName

Returns the host network interface short name.

## ◆ id

readonly attribute wstringUUID IHostNetworkInterface::id

Returns the interface UUID.

## ◆ networkName

readonly attribute wstring IHostNetworkInterface::networkName

Returns the name of a virtual network the interface gets attached to.

## ◆ DHCPEnabled

readonly attribute boolean IHostNetworkInterface::DHCPEnabled

Specifies whether the DHCP is enabled for the interface.

## ◆ IPAddress

readonly attribute wstring IHostNetworkInterface::IPAddress

Returns the IP V4 address of the interface.

## ◆ networkMask

readonly attribute wstring IHostNetworkInterface::networkMask

Returns the network mask of the interface.

## ◆ IPV6Supported

readonly attribute boolean IHostNetworkInterface::IPV6Supported

Specifies whether the IP V6 is supported/enabled for the interface.

## ◆ IPV6Address

readonly attribute wstring IHostNetworkInterface::IPV6Address

Returns the IP V6 address of the interface.

## ◆ IPV6NetworkMaskPrefixLength

readonly attribute unsigned long IHostNetworkInterface::IPV6NetworkMaskPrefixLength

Returns the length IP V6 network mask prefix of the interface.

## ◆ hardwareAddress

readonly attribute wstring IHostNetworkInterface::hardwareAddress

Returns the hardware address.

For Ethernet it is MAC address.

## ◆ mediumType

readonly attribute HostNetworkInterfaceMediumType IHostNetworkInterface::mediumType

Type of protocol encapsulation used.

## ◆ status

readonly attribute HostNetworkInterfaceStatus IHostNetworkInterface::status

Status of the interface.

## ◆ interfaceType

readonly attribute HostNetworkInterfaceType IHostNetworkInterface::interfaceType

specifies the host interface type.

## ◆ wireless

readonly attribute boolean IHostNetworkInterface::wireless

Specifies whether the interface is wireless.